## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-functions
%global         forgeurl    https://github.com/googleapis/python-functions
Version:        1.4.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Functions

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
# Fix mock > unittest.mock. Made PRs to upstream and they are aware but not
# accepting patches for this right now.
Patch0:         python-google-cloud-functions-mock-fix.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Manages lightweight user-provided functions executed in response to events
via the Google Cloud Functions API.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded executable.
rm -f %{buildroot}/%{_bindir}/fixup_functions_v1_keywords.py


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_functions-%{version}-py%{python3_version}-nspkg.pth


%changelog
* lun. nov. 08 2021 Major Hayden <major@redhat.com> 1.4.0-1
- Update to 1.4.0

* mar. nov. 02 2021 Major Hayden <major@mhtx.net> 1.3.1-1
- Update to 1.3.1

* lun. oct. 25 2021 Major Hayden <major@mhtx.net> 1.3.0-1
- Update to 1.3.0

* mar. oct. 12 2021 Major Hayden <major@mhtx.net> 1.2.0-1
- Update to 1.2.0

* jeu. sept. 30 2021 Major Hayden <major@mhtx.net> 1.1.1-1
- Update to 1.1.1

* lun. sept. 20 2021 Major Hayden <major@mhtx.net> 1.1.0-2
- Update sources to 1.1.0

* lun. sept. 20 2021 Major Hayden <major@mhtx.net> 1.1.0-1
- Update to 1.1.0

* ven. sept. 17 2021 Major Hayden <major@mhtx.net> 1.0.4-3
- Fix tests with PEP 420 workaround

* jeu. sept. 09 2021 Major Hayden <major@mhtx.net> 1.0.4-2
- Move to rpmautospec

* mar. août 31 2021 Major Hayden <major@mhtx.net> 1.0.4-1
- Update to 1.0.4

* mar. août 24 2021 Major Hayden <major@mhtx.net> 1.0.3-1
- Initial import (#1996873)
